feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Backend.C.Library

# Documentation

module System.Console.ANSI

data CompilationMode

Constructors

Interactive |
Standalone |

Instances

Eq CompilationMode |
Show CompilationMode |

replace :: Eq a => [a] -> [a] -> [a] -> [a]

fixFunctionName :: String -> String

newName :: Monad m => String -> StateT Integer m String

withColor :: Color -> IO () -> IO ()